Bug 1877741 - Install gather lacks gcp+azure-routes service logs
Summary: Install gather lacks gcp+azure-routes service logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Stefan Schimanski
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 10:53 UTC by Stefan Schimanski
Modified: 2020-10-27 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:39:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4148 0 None closed Bug 1877741: installer-masters-gather.sh: gather openshift-{azure,gcp}-routes logs 2021-01-16 15:25:20 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:39:48 UTC

Description Stefan Schimanski 2020-09-10 10:53:41 UTC
Description of problem:

Install gather archives lack the gcp and azure routes service logs, necessary to triage networking issues on these platforms.

Comment 3 Gaoyun Pei 2020-09-14 05:55:55 UTC
Verify this bug on payload 4.6.0-0.nightly-2020-09-12-230035.

./openshift-install version
./openshift-install 4.6.0-0.nightly-2020-09-12-230035
built from commit 0a4cc6c428c9d1aaf11d7f05002ab7637cdb872f
release image registry.svc.ci.openshift.org/ocp/release@sha256:c6147df7325dfdc4b526a9d799870ccf1fd04334570d01e715376947eb0473f8

openshift-azure-routes.log and openshift-gcp-routes.log could be seen in every master's journals.


│   │   ├── journals
│   │   │   ├── crio.log
│   │   │   ├── kubelet.log
│   │   │   ├── machine-config-daemon-host.log
│   │   │   ├── openshift-azure-routes.log
│   │   │   ├── openshift-gcp-routes.log
│   │   │   └── pivot.log



For GCP cluster
cat  log-bundle-20200913231448/control-plane/10.0.0.5/journals/openshift-gcp-routes.log
-- Logs begin at Mon 2020-09-14 02:21:09 UTC, end at Mon 2020-09-14 03:15:36 UTC. --
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal systemd[1]: Started Update GCP routes for forwarded IPs..
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: Processing route for NIC 0/42:01:0a:00:00:05 for 10.0.0.2
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: Processing route for NIC 0/42:01:0a:00:00:05 for 34.123.82.223
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: ensuring rule for 10.0.0.2 for external clients
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: ensuring rule for 10.0.0.2 for internal clients
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: ensuring rule for 34.123.82.223 for external clients
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: ensuring rule for 34.123.82.223 for internal clients
Sep 14 02:27:16 gpei-46gcp-9dcnv-master-1.c.openshift-qe.internal bash[1424]: done applying vip rules
...


For Azure cluster:
# cat log-bundle-20200913233515/control-plane/10.0.0.6/journals/openshift-azure-routes.log 
-- Logs begin at Mon 2020-09-14 02:30:30 UTC, end at Mon 2020-09-14 03:36:57 UTC. --
Sep 14 02:39:40 gpei-46az-c668m-master-2 systemd[1]: Started Work around Azure load balancer hairpin.
Sep 14 02:39:40 gpei-46az-c668m-master-2 openshift-azure-routes[1878]: done applying vip rules
Sep 14 02:39:40 gpei-46az-c668m-master-2 systemd[1]: openshift-azure-routes.service: Consumed 46ms CPU time

Comment 5 errata-xmlrpc 2020-10-27 16:39:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.